Technical Requirements

Browser Requirements

Internet browsers and versions listed below are supported for PeopleSoft 9.2 Web-client. PeopleSoft PS Tools 8.55 has certified the operating systems/browsers below. If you have any questions, please visit the OIT website for supported software.

PC / Apple Mac Users

The following table lists the browsers and minimum versions certified with the current version of Duke's PeopleSoft (DukeHub) environment. Although Oracle certifies Internet Explorer version 11 for use with PeopleSoft, it is not without caveats. Duke users are strongly encouraged to use Firefox, Safari or Chrome, and if it is necessary to use Internet Explorer, we ask that you use IE 11.

Browser Requirements

Mobile Users

Mobile devices must have web kit device enabled

Applie iPhone 3G or above
Apple iPad Any Version
Apple iTouch 4G or above
Android 4.0 or above
Blackberry 0S6 or above

Adobe Reader

For PDF files in DukeHub, you should have Adobe Reader version 6.0 or above.

Downloading to Excel

If the "download to Excel" icon Excel does not launch to Excel in Internet Explorer, you will need to check your browser settings.  See the Excel Download Instructions.

Q: drive Access

To process communications and external file loads you must have access to the Q: drive.  Please contact the SISS Office to obtain Q: drive access.

After you have been given the access, follow the Mapping Q: Drive instructions.